/*
 * COPYRIGHT 2015 YOSPACE TECHNOLOGIES LTD. ALL RIGHTS RESERVED.
 */

#define YO_ADMANAGEMENT_ERROR_BASE 7000

/** YSEAnalyticsErrorCode defines the error codes for YSSessionManager.
 */
typedef NS_ENUM(NSInteger, YSEAnalyticsErrorCode)
{
    /** Resource data could not be retrieved from the URL, the response data is empty */
    E_DOWNLOAD_FAILED             = YO_ADMANAGEMENT_ERROR_BASE + 2,//
    /** The server did not provide the required response headers */
    E_HTTP_RESP_HTTPHEADERS       = YO_ADMANAGEMENT_ERROR_BASE + 4,//
    /** XML is not UTF8 encoded - unable to parse */
    E_INVALID_ENCODING            = YO_ADMANAGEMENT_ERROR_BASE + 5,
    /** Attempting to set same player */
    E_SET_SAME_PLAYER             = YO_ADMANAGEMENT_ERROR_BASE + 9,//
    /** Invalid CSM URL, unable to initialise a CSM session */
    E_CONNECTION_INIT             = YO_ADMANAGEMENT_ERROR_BASE + 12,//
    /** Unable to reach master playlist */
    E_MASTERPLAYLIST_INIT         = YO_ADMANAGEMENT_ERROR_BASE + 13,//
    /** An HTTP error was returned from redirect URL */
    E_REDIRECT_INIT               = YO_ADMANAGEMENT_ERROR_BASE + 15,
    /** The URL is not a Yospace CSM initialisation URL */
    E_YOSPACE_URL                 = YO_ADMANAGEMENT_ERROR_BASE + 16,
    /** VMAP initialisation data could not be retrieved */
    E_RETRIEVE_VMAP               = YO_ADMANAGEMENT_ERROR_BASE + 17,
    /** VMAP initialisation data could not be retrieved */
    E_NLSO_CONNECTION_INIT        = YO_ADMANAGEMENT_ERROR_BASE + 17,
};
