//
//  ViewController.swift
//  AmpComScoreSample
//
//  Created by Lopez Valenciano, Miguel on 8/16/16.
//  Copyright © 2016 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpComScore

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer!
    var ampComScore: AmpComScore!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer.setLicense("AwG6RK5nGvIf+3vLqMwsZyD5TLM1+a89/IfBG5BGVFLMKqUlWibng4Dr/zR8Bq3A6fyODzXqTiSGHCy1ScGygcXPJcJrG201CTTN779fRwzwRpkT3iguWPMkGNkr8xP9+1sPif+iz8oGnaDucS+YRACjnkz9Od3fTv8RzLcbHrMD5EHRLVGPB9Bt7FhxIopbmQfrsHAjGrIAEEZEtr9WgBXd7ejXuSjBg323jYuz0H80oQ==")
        
        self.ampPlayer?.registerObserver(self)
        
        // publisherId:"1234567", publisherSecret:"9c455c81a801d3832a2cd281843dff30"
        let labels = ["data": [
            "clientId": "0000000",
            "publisherSecret": "publisherSecretId",
            "appVersion": "0000000",
            "metadata": [
                "ads": [
                    "ns_st_ci": "#{media.guid}",
                    "c3": "*null",
                    "c4": "*null",
                    "c6": "*null",
                    "cb2": "*null",
                    "cb3": "*null",
                    "cb4": "*null",
                    "cb6": "*null"
                ],
                "video": [
                    "ns_st_ci": "#{media.guid}",
                    "c3": "*null",
                    "c4": "*null",
                    "c6": "*null",
                    "cb2": "*null",
                    "cb3": "*null",
                    "cb4": "*null",
                    "cb6": "*null"
                ]
            ]
            ]
        ]
        self.ampComScore = AmpComScore(publisherId: "1234567", publisherSecret: "9c455c81a801d3832a2cd281843dff30", ampPlayer: self.ampPlayer!, labels: labels)
        self.ampPlayer?.registerObserver(self.ampComScore!)
        
        self.ampPlayer?.handleUrl("http://multiplatform-f.akamaihd.net/i/multi/april11/hdworld/hdworld_,768x432_1000_b,.mp4.csmil/master.m3u8")
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

extension ViewController : PlayerEventObserver {
    
    func onBufferingStateChanged(_ ampPlayer: AmpPlayer) {
        if (ampPlayer.bufferingState == .ready) {
            print("READY")
        }
    }
    
    func onDoubleTap(_ ampPlayer: AmpPlayer) {
        ampPlayer.play()
    }
    
}
